Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## writer2latex.office
Class MasterPage

    java.lang.Object
      writer2latex.office.OfficeStyle
          writer2latex.office.MasterPage

    public class MasterPage

extends OfficeStyle

Class representing a master page in OOo Writer

Field Summary
`private org.w3c.dom.Node` | `footer`
`private org.w3c.dom.Node` | `footerLeft`
`private org.w3c.dom.Node` | `header`
`private org.w3c.dom.Node` | `headerLeft`
`private PropertySet` | `properties`

Fields inherited from class writer2latex.office.OfficeStyle
`bAutomatic, family, sName`

Constructor Summary
`MasterPage()`

Method Summary
`org.w3c.dom.Node` | `getFooter()`
`org.w3c.dom.Node` | `getFooterLeft()`
`org.w3c.dom.Node` | `getHeader()`
`org.w3c.dom.Node` | `getHeaderLeft()`
`java.lang.String` | `getPageLayoutName()`
`java.lang.String` | `getProperty(java.lang.String sPropName)`
`void` | `loadStyleFromDOM(org.w3c.dom.Node node)`

Methods inherited from class writer2latex.office.OfficeStyle
`getDisplayName, getFamily, getListStyleName, getMasterPageName, getName, getParentName, isAutomatic`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### properties

    private PropertySet properties

### header

    private org.w3c.dom.Node header

### headerLeft

    private org.w3c.dom.Node headerLeft

### footer

    private org.w3c.dom.Node footer

### footerLeft

    private org.w3c.dom.Node footerLeft

Constructor Detail

### MasterPage

    public MasterPage()

Method Detail

### getProperty

    public java.lang.String getProperty(java.lang.String sPropName)

### getPageLayoutName

    public java.lang.String getPageLayoutName()

### getHeader

    public org.w3c.dom.Node getHeader()

### getHeaderLeft

    public org.w3c.dom.Node getHeaderLeft()

### getFooter

    public org.w3c.dom.Node getFooter()

### getFooterLeft

    public org.w3c.dom.Node getFooterLeft()

### loadStyleFromDOM

    public void loadStyleFromDOM(org.w3c.dom.Node node)

  Overrides:
    `loadStyleFromDOM` in class `OfficeStyle`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD